Piazzale Italia

aggiornamento piattaforma

 
Immagine Leonardo Cæsar
aggiornamento piattaforma
 

buongiorno a tutti 

ho una vecchia versione e precisamente la Moodle 2.9.9 (Build: 20161114) ho provato ad installare l'ultima versione ma Moodle 3.3.2+ ma da un errore "database sovraccarico" secondo voi sbaglio qualcosa durane l'installazione?

 
Media dei voti:  -
Immagine Leonardo Cæsar
Re: aggiornamento piattaforma
 

questo è l'errore che mi segnala


Error: Database connection failed

It is possible that the database is overloaded or otherwise not running properly.

The site administrator should also check that the database details have been correctly specified in config.php


Immagine Matteo Scaramuccia
Re: aggiornamento piattaforma
Core developersParticularly helpful MoodlersPlugin developers

Ciao Leonardo,
come hai provato l'aggiornamento? Stai installando una altra copia?

L'errore sembrerebbe indicare che hai sbagliato le credenziali del nuovo databasa ovvero il tuo provider ti sta limitando nel numero di query concesse.

HTH,
Matteo

Immagine Leonardo Cæsar
Re: aggiornamento piattaforma
 

ho aggiornato tramite softaculous

quindi fa tutto automaticamente, mi ha fatto cambiare solamente la versione  di php e basta dice che è completamente riuscita l'installazione ma mi da questo errore

Immagine Leonardo Cæsar
Re: aggiornamento piattaforma
 

che poi mi da lo stesso errore anche installando via FTP manulamente

a me sembra tutto corretto



<?php  // Moodle configuration file

unset($CFG);

global $CFG;

$CFG = new stdClass();


$CFG->dbtype    = 'mysqli';

$CFG->dblibrary = 'native';

$CFG->dbhost    = '62.149.150.114';

$CFG->dbname    = 'Sql340693_3';

$CFG->dbuser    = 'Sql340693';

$CFG->dbpass    = 'xxxxxxxx';

$CFG->prefix    = 'mdlei_';

$CFG->dboptions = array (

  'dbpersist' => 0,

  'dbport' => '',

  'dbsocket' => '',

);


$CFG->wwwroot   = 'http://www.miosito.it/moodlenew';

$CFG->dataroot  = '/web/htdocs/www.miosito.it/home/softaculous/datadir/moodledata';

$CFG->admin     = 'admin';


$CFG->directorypermissions = 0777;


require_once(dirname(__FILE__) . '/lib/setup.php');


// There is no php closing tag in this file,

// it is intentional because it prevents trailing whitespace problems!


Immagine Matteo Scaramuccia
Re: aggiornamento piattaforma
Core developersParticularly helpful MoodlersPlugin developers

Ciao Leonardo,
chiedi aiuto al tuo provider per verificare se le credenziali di quel database siano corrette.

Consiglio: chiedi loro anche di cambiare la password visto che per errore l'hai pubblicata anche qui.

HTH,
Matteo

Immagine Leonardo Cæsar
Re: aggiornamento piattaforma
 

le credenziali del database sono giuste 

secondo te potrebbe derivare solo da quello o ci potrebbe essere qualche altro problema?

Immagine Marco Parodi
Re: aggiornamento piattaforma
 
Ciao,


Hai controllato i permessi di lettura/scrittura e l’utente proprietario??? 

chmod e chown?

Diversamente a questo punto siamo curiosi... fai sapere

Marco.

Immagine Leonardo Cæsar
Re: aggiornamento piattaforma
 

si perche sulla stesso database c'è la piattaforma attuale ed ha sempre funzionato benissimo solo che è vecchiotta e la vorrei aggiornare